Bug 16496 - accountlines.issue_id not set when new overdue is processed
Summary: accountlines.issue_id not set when new overdue is processed
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low blocker (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on: 13790 15675
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-10 19:03 UTC by Kyle M Hall
Modified: 2019-06-27 09:24 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16496 - accountlines.issue_id not set when new overdue is processed (1.08 KB, patch)
2016-05-10 19:06 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 16496 - accountlines.issue_id not set when new overdue is processed (1.08 KB, patch)
2016-05-10 19:07 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 16496 - accountlines.issue_id not set when new overdue is processed (1.13 KB, patch)
2016-05-11 03:32 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 16496 - accountlines.issue_id not set when new overdue is processed (1.20 KB, patch)
2016-05-11 09:24 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16496: Add test (2.22 KB, patch)
2016-05-11 09:24 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2016-05-10 19:03:57 UTC
It appears that somehow the adding of issue_id to accountlines for new fines was missed! This is incredibly important, otherwise UpdasteFine will always create a new fine!
Comment 1 Kyle M Hall 2016-05-10 19:06:49 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2016-05-10 19:07:43 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2016-05-10 19:08:07 UTC
s/UpdasteFine/UpdateFine
Comment 4 Chris Cormack 2016-05-11 03:21:13 UTC
Ahh looks like this was missed when bug 13790 was done, will test now
Comment 5 Chris Cormack 2016-05-11 03:32:43 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2016-05-11 09:24:48 UTC
Created attachment 51399 [details] [review]
Bug 16496 - accountlines.issue_id not set when new overdue is processed

It appears that somehow the adding of issue_id to accountlines for new
fines was missed! This is incredibly important, otherwise UpdateFine
will always create a new fine!

Test Plan:
1) Create a new overdue checkout
2) Run fines.pl to generate an accountline for it
3) Note it has no issue_id
4) Apply this patch
5) Repeat steps 1 and 2
6) Note it now has an issue_id!

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Jonathan Druart 2016-05-11 09:24:52 UTC
Created attachment 51400 [details] [review]
Bug 16496: Add test

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Kyle M Hall 2016-05-11 10:40:05 UTC
Pushed to master for the 16.05 release! Thanks for the unit test Jonathan!
Comment 9 Julian Maurice 2016-05-16 07:03:56 UTC
Not needed in stable versions, status changed to RESOLVED